Eclipse Platform Release 3.7

## org.eclipse.ui.activities
Class CategoryEvent

    java.lang.Object
      org.eclipse.ui.activities.CategoryEvent

    public final class CategoryEvent

extends Object

An instance of this class describes changes to an instance of `ICategory`. This class does not give details as to the specifics of a change, only that the given property on the source object has changed.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `ICategoryListener.categoryChanged(CategoryEvent)`

Constructor Summary
`CategoryEvent(ICategory category, boolean categoryActivityBindingsChanged, boolean definedChanged, boolean descriptionChanged, boolean nameChanged)` Creates a new instance of this class.

Method Summary
`ICategory` `getCategory()` Returns the instance of the interface that changed.
`boolean` `hasDefinedChanged()` Returns whether or not the defined property changed.
`boolean` `hasDescriptionChanged()` Returns whether or not the description property changed.
`boolean` `hasNameChanged()` Returns whether or not the name property changed.
`boolean` `haveCategoryActivityBindingsChanged()` Returns whether or not the categoryActivityBindings property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryEvent

    public CategoryEvent(ICategory category,
                         boolean categoryActivityBindingsChanged,
                         boolean definedChanged,
                         boolean descriptionChanged,
                         boolean nameChanged)

  Creates a new instance of this class.

  Parameters:
    `category` - the instance of the interface that changed.
    `categoryActivityBindingsChanged` - `true`, iff the categoryActivityBindings property changed.
    `definedChanged` - `true`, iff the defined property changed.
    `descriptionChanged` - `true`, iff the description property changed.
    `nameChanged` - `true`, iff the name property changed.

Method Detail

### getCategory

    public ICategory getCategory()

  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### hasDefinedChanged

    public boolean hasDefinedChanged()

  Returns whether or not the defined property changed.

  Returns:
    `true`, iff the defined property changed.

### hasNameChanged

    public boolean hasNameChanged()

  Returns whether or not the name property changed.

  Returns:
    `true`, iff the name property changed.

### hasDescriptionChanged

    public boolean hasDescriptionChanged()

  Returns whether or not the description property changed.

  Returns:
    `true`, iff the description property changed.

### haveCategoryActivityBindingsChanged

    public boolean haveCategoryActivityBindingsChanged()

  Returns whether or not the categoryActivityBindings property changed.

  Returns:
    `true`, iff the categoryActivityBindings property changed.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.